## org.jfree.report.data
Class CachingReportDataFactory

    java.lang.Object
      org.jfree.report.data.CachingReportDataFactory

All Implemented Interfaces:
  ReportDataFactory

    public class CachingReportDataFactory

extends java.lang.Object
implements ReportDataFactory

Creation-Date: 19.11.2006, 13:35:45

Author:
  Thomas Morgner

Constructor Summary
`CachingReportDataFactory(ReportDataFactory backend)`

Method Summary
`void` `close()` Closes the report data factory and all report data instances that have been returned by this instance.
`ReportDataFactory` `derive()` Derives a freshly initialized report data factory, which is independend of the original data factory.
`void` `open()`
`ReportData` `queryData(java.lang.String query, DataSet parameters)` Queries a datasource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingReportDataFactory

    public CachingReportDataFactory(ReportDataFactory backend)

Method Detail

### open

    public void open()

  Specified by:
    `open` in interface `ReportDataFactory`

### queryData

    public ReportData queryData(java.lang.String query,
                                DataSet parameters)
                         throws ReportDataFactoryException

  Queries a datasource. The string 'query' defines the name of the query. The Parameterset given here may contain more data than actually needed.

  The dataset may change between two calls, do not assume anything!

  Specified by:
    `queryData` in interface `ReportDataFactory`
  Parameters:
    `query` -
    `parameters` -
  Returns:
  Throws:
    `ReportDataFactoryException`

### close

    public void close()

  Closes the report data factory and all report data instances that have been returned by this instance.

  Specified by:
    `close` in interface `ReportDataFactory`

### derive

    public ReportDataFactory derive()

  Derives a freshly initialized report data factory, which is independend of the original data factory. Opening or Closing one data factory must not affect the other factories.

  Specified by:
    `derive` in interface `ReportDataFactory`
  Returns: